[[post_data {
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223
}]]
# AnP.Components.Selectors.ecma.js

```txt
/Public/ecma/comp/AnP.Components.Selectors.ecma.js
```

## [[plain AnP.Components.Selectors.construct]]

[[wdoc
Método object.
@name       AnP.Components.Selectors.construct
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       e5a6f191432eb8ff69dcdcb69daa6876
]]

## [[plain AnP.Components.Selectors.get]]

[[wdoc
Método object.
@name       AnP.Components.Selectors.get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       150fa0d7e724badce516c568522e601b
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.Components.Selectors.get_box]]

[[wdoc
Método object.
@name       AnP.Components.Selectors.get_box
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       2562e9411fef63536845c1e65b7d3612
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.Components.Selectors.get_field]]

[[wdoc
Método object.
@name       AnP.Components.Selectors.get_field
@see        AnP.Components.Selectors.get_box
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       d4ab9dacc3ae80d27d9d3bc9013cd4ec
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain AnP.Components.Selectors.search]]

[[wdoc
Método object.
@name       AnP.Components.Selectors.search
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     private
@hash       1f2026fc7ffeb877e29f558db2c291ea
]]

## [[plain AnP.Components.Selectors.start]]

[[wdoc
Método object.
@name       AnP.Components.Selectors.start
@see	AnP.is_function
@see	AnP.Components.Selectors.search
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	cf297ca18ccfcefbec9277d47ef31a2f
#callback	- optional Parámetro callback
]]

## [[plain AnP.Components.Selectors.options_html]]

[[wdoc
Método object.
@name       AnP.Components.Selectors.options_html
@see	AnP.hash
@see	AnP.null_or_undefined
@see	AnP.is_array
@see	AnP.is_dictionary
@see	AnP.i18n_get
@see	AnP.Components.Selectors.get_field
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	private
@hash	543d79b2589a7bd98f471ce7d3b3db13
#options	- optional Parámetro options
#selected	- optional Parámetro selected
#onchange	- optional Parámetro onchange
#return	- - Retorno.
]]

## [[plain AnP.Components.Selectors.deploy]]

[[wdoc
Método object.
@name       AnP.Components.Selectors.deploy
@see	AnP.Components.Selectors.get
@see	AnP.i18n_get
@see	AnP.hash
@see	AnP.Components.Selectors.options_html
@see	AnP.json_decode
@see	AnP.base64_decode
@see	AnP.Components.Selectors.search
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220506
@access	public
@hash	1f0bf516022990f471fa6098e6c93b1c
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Selectors.cancel]]

[[wdoc
Método object.
@name       AnP.Components.Selectors.cancel
@see	AnP.Components.Selectors.get_box
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220425
@access	public
@hash	7b8187e1aaf2f2d442454333375b5e2e
#item	- optional Parámetro item
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain AnP.Components.Selectors.create]]

[[wdoc
Método object.
@name       AnP.Components.Selectors.create
@see	AnP.is_dictionary
@see	AnP.i18n_get
@see	AnP.hash
@see	AnP.Components.Selectors.deploy
@see	AnP.is_array
@see	AnP.null_or_undefined
@see	AnP.Components.Selectors.get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220507
@access	public
@hash	87646c5b507472d32a2587394f4b768c
#input	- optional Parámetro input
#return	- - Retorno.
]]

## [[plain AnP.Components.Selectors.set]]

[[wdoc
Método object.
@name       AnP.Components.Selectors.set
@see        AnP.is_string
@see        AnP.is_html_object
@see        AnP.Components.Selectors.get
@see        AnP.Components.Selectors.options_html
@see        AnP.base64_encode
@see        AnP.json_encode
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       b0b64610fe25732ea60de4818a8605ec
#selector	- optional Parámetro selector
#options	- optional Parámetro options
]]

## [[plain AnP.Components.Selectors.set_value]]

[[wdoc
Método object.
@name       AnP.Components.Selectors.set_value
@see	AnP.Components.Selectors.get
@see	AnP.json_decode
@see	AnP.base64_decode
@see	AnP.Components.Selectors.set_value
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version	20220507
@access	public
@hash	8d0fb5472e1205d029736d3022641db6
value
value
value
value
value
value
value
value
value
value
value
value
value
value
value
value
value
value
value
value
value
value
value
value
value
value
value
value
value
value
value
value
value
value
#return	- - Retorno.
value
#return	- - Retorno.
]]

## [[plain AnP.Components.Selectors.select]]

[[wdoc
Método object.
@name       AnP.Components.Selectors.select
@see        AnP.Components.Selectors.get_box
@see        AnP.Components.Selectors.set_value
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       3c1fbbd4ee5fc8d58aaf7bcc466c3c6b
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain AnP.Components.Selectors.get_value]]

[[wdoc
Método object.
@name       AnP.Components.Selectors.get_value
@see        AnP.Components.Selectors.get
@lang       ECMAScript
@author     KyMAN
@since      20211223
@version    20211223
@access     public
@hash       6c821fc23cf04630b94b1e44af5946ca
#item	- optional Parámetro item
#return	- - Retorno.
]]

[[html_data {
    "title" : "AnP.Components.Selectors.ecma.js - AnP",
    "url" : "https://anp.k3y.pw//Public/ecma/comp/AnP.Components.Selectors.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20211223,
    "version" : 20211223,
    "key_words" : "anp,attach and play,framework,libraries,librerías,documentación,developt,desarrollo,programación,components,selectors,ecma",
    "description" : "AnP.Components.Selectors.ecma.js del AnP.",
    "project" : "AnP",
    "logo" : "/images/AnP.png",
    "language" : "es"
}]]
